{% extends 'layout.html' %}

{% block title %}
    Мой блог
{% endblock %}

{% block container %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ url_for("index") }}">Главная</a></li>
        </ol>
    </nav>
    <div style="margin-bottom: 5pt;">
        <h2>Список постов</h2>
        <div>
            <a class="btn btn-success" href="{{ url_for("post_app.add_post") }}">Создать пост</a>
        </div>
        {% for post_row in data|batch(2) %}
            <div class="row">
                {% for post  in post_row %}
                    <div class="card m-2 p-0" style="width: 40em;">
                        <div class="card-header">{{ post.title }}</div>
                        <div class="card-body">
                            <p class="card-text">
                                {% if post.description|length > 20 %}
                                    {{ post.description[:20] }}...
                                {% else %}
                                    {{ post.description }}
                                {% endif %} </p>
                            <p class="card-text">
                                <a href="{{ url_for("post_app.post_detail", post_id=post.id) }}" class="card-link">Читать
                                    далее</a>
                            </p>
                            <p class="card-text">
                                <small class="text-muted">{{ post.created_at.strftime("%d.%m.%Y") }}, {{ post.user }}</small>
                            </p>
                        </div>
                    </div>
                {% endfor %}
            </div>
        {% endfor %}
    </div>
    {% if data_length > 4 %}
        <div>
            <a class="btn btn-success" href="{{ url_for("post_app.add_post") }}">Создать пост</a>
        </div>
    {% endif %}
{% endblock %}
